$(function(){
var treeView, dataGrid;
var syncTreeViewSelection = function(treeView, value){
if (!value) {
treeView.unselectAll();
} else {
treeView.selectItem(value);
}
};
var makeAsyncDataSource = function(jsonFile){
return new DevExpress.data.CustomStore({
loadMode: "raw",
key: "ID",
load: function() {
return $.getJSON("../../../../data/" + jsonFile);
}
});
};
$("#treeBox").dxDropDownBox({
value: "1_1",
valueExpr: "ID",
displayExpr: "name",
placeholder: "Select a value...",
showClearButton: true,
dataSource: makeAsyncDataSource("treeProducts.json"),
contentTemplate: function(e){
var value = e.component.option("value"),
$treeView = $("<div>").dxTreeView({
dataSource: e.component.getDataSource(),
dataStructure: "plain",
keyExpr: "ID",
parentIdExpr: "categoryId",
selectionMode: "single",
displayExpr: "name",
selectByClick: true,
onContentReady: function(args){
syncTreeViewSelection(args.component, value);
},
selectNodesRecursive: false,
onItemSelectionChanged: function(args){
var selectedKeys = args.component.getSelectedNodeKeys();
e.component.option("value", selectedKeys);
}
});
treeView = $treeView.dxTreeView("instance");
e.component.on("valueChanged", function(args){
syncTreeViewSelection(treeView, args.value);
});
return $treeView;
}
});
$("#gridBox").dxDropDownBox({
value: 3,
valueExpr: "ID",
deferRendering: false,
placeholder: "Select a value...",
displayExpr: function(item){
return item && item.CompanyName + " <" + item.Phone + ">";
},
showClearButton: true,
dataSource: makeAsyncDataSource("customers.json"),
contentTemplate: function(e){
var value = e.component.option("value"),
$dataGrid = $("<div>").dxDataGrid({
dataSource: e.component.getDataSource(),
columns: ["CompanyName", "City", "Phone"],
hoverStateEnabled: true,
paging: { enabled: true, pageSize: 10 },
filterRow: { visible: true },
scrolling: { mode: "infinite" },
selection: { mode: "single" },
selectedRowKeys: [value],
height: "100%",
onSelectionChanged: function(selectedItems){
var keys = selectedItems.selectedRowKeys,
hasSelection = keys.length;
e.component.option("value", hasSelection ? keys[0] : null);
}
});
dataGrid = $dataGrid.dxDataGrid("instance");
e.component.on("valueChanged", function(args){
dataGrid.selectRows(args.value, false);
});
return $dataGrid;
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge"/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css"/>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css"/>
<script src="https://cdn3.devexpress.com/jslib/20.2.4/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css"/>
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="form">
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded TreeView</div>
<div class="dx-field-value">
<div id="treeBox"></div>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded DataGrid</div>
<div class="dx-field-value">
<div id="gridBox"></div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>
#form .dx-fieldset {
height: 500px;
}

<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded TreeView</div>
<div class="dx-field-value">
<dx-drop-down-box
[(value)]="treeBoxValue"
[(opened)]="isTreeBoxOpened"
valueExpr="ID"
displayExpr="name"
placeholder="Select a value..."
[showClearButton]="true"
[dataSource]="treeDataSource"
(onValueChanged)="syncTreeViewSelection($event)"
(onOptionChanged)="onTreeBoxOptionChanged($event)"
>
<div *dxTemplate="let data of 'content'">
<dx-tree-view
[dataSource]="treeDataSource"
dataStructure="plain"
keyExpr="ID"
parentIdExpr="categoryId"
selectionMode="single"
displayExpr="name"
[selectByClick]="true"
(onContentReady)="$event.component.selectItem(treeBoxValue)"
(onItemSelectionChanged)="treeView_itemSelectionChanged($event)"
>
</dx-tree-view>
</div>
</dx-drop-down-box>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded DataGrid</div>
<div class="dx-field-value">
<dx-drop-down-box
[(value)]="gridBoxValue"
[(opened)]="isGridBoxOpened"
valueExpr="ID"
[deferRendering]="false"
[displayExpr]="gridBox_displayExpr"
placeholder="Select a value..."
[showClearButton]="true"
[dataSource]="gridDataSource"
(onOptionChanged)="onGridBoxOptionChanged($event)"
>
<div *dxTemplate="let data of 'content'">
<dx-data-grid
[dataSource]="gridDataSource"
[columns]="gridColumns"
[hoverStateEnabled]="true"
[(selectedRowKeys)]="gridBoxValue"
height="100%"
>
<dxo-selection mode="single"></dxo-selection>
<dxo-filter-row [visible]="true"></dxo-filter-row>
<dxo-scrolling mode="virtual"></dxo-scrolling>
<dxo-paging [enabled]="true" [pageSize]="10"></dxo-paging>
</dx-data-grid>
</div>
</dx-drop-down-box>
</div>
</div>
</div>
import {
NgModule, Component, ViewChild, enableProdMode, ChangeDetectionStrategy, ChangeDetectorRef,
} from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { lastValueFrom } from 'rxjs';
import {
DxDropDownBoxModule,
DxTreeViewModule,
DxDataGridModule,
DxTreeViewComponent,
} from 'devextreme-angular';
import CustomStore from 'devextreme/data/custom_store';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AppComponent {
@ViewChild(DxTreeViewComponent, { static: false }) treeView;
treeDataSource: any;
treeBoxValue: string;
isTreeBoxOpened: boolean;
gridDataSource: any;
gridBoxValue: number[] = [3];
isGridBoxOpened: boolean;
gridColumns: any = ['CompanyName', 'City', 'Phone'];
constructor(private httpClient: HttpClient, private ref: ChangeDetectorRef) {
this.treeDataSource = this.makeAsyncDataSource(this.httpClient, 'treeProducts.json');
this.gridDataSource = this.makeAsyncDataSource(this.httpClient, 'customers.json');
this.isTreeBoxOpened = false;
this.isGridBoxOpened = false;
this.treeBoxValue = '1_1';
}
makeAsyncDataSource(http, jsonFile) {
return new CustomStore({
loadMode: 'raw',
key: 'ID',
load() {
return lastValueFrom(http.get(`../../../../data/${jsonFile}`));
},
});
}
syncTreeViewSelection() {
if (!this.treeView) return;
if (!this.treeBoxValue) {
this.treeView.instance.unselectAll();
} else {
this.treeView.instance.selectItem(this.treeBoxValue);
}
}
treeView_itemSelectionChanged(e) {
this.treeBoxValue = e.component.getSelectedNodeKeys();
}
gridBox_displayExpr(item) {
return item && `${item.CompanyName} <${item.Phone}>`;
}
onTreeBoxOptionChanged(e) {
if (e.name === 'value') {
this.isTreeBoxOpened = false;
this.ref.detectChanges();
}
}
onGridBoxOptionChanged(e) {
if (e.name === 'value') {
this.isGridBoxOpened = false;
this.ref.detectChanges();
}
}
}
@NgModule({
imports: [
BrowserModule,
DxTreeViewModule,
DxDropDownBoxModule,
HttpClientModule,
DxDataGridModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
:host .dx-fieldset {
height: 500px;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
[{
"ID": 1,
"CompanyName": "Premier Buy",
"Address": "7601 Penn Avenue South",
"City": "Richfield",
"State": "Minnesota",
"Zipcode": 55423,
"Phone": "(612) 291-1000",
"Fax": "(612) 291-2001",
"Website": "http://www.nowebsitepremierbuy.com"
}, {
"ID": 2,
"CompanyName": "ElectrixMax",
"Address": "263 Shuman Blvd",
"City": "Naperville",
"State": "Illinois",
"Zipcode": 60563,
"Phone": "(630) 438-7800",
"Fax": "(630) 438-7801",
"Website": "http://www.nowebsiteelectrixmax.com"
}, {
"ID": 3,
"CompanyName": "Video Emporium",
"Address": "1201 Elm Street",
"City": "Dallas",
"State": "Texas",
"Zipcode": 75270,
"Phone": "(214) 854-3000",
"Fax": "(214) 854-3001",
"Website": "http://www.nowebsitevideoemporium.com"
}, {
"ID": 4,
"CompanyName": "Screen Shop",
"Address": "1000 Lowes Blvd",
"City": "Mooresville",
"State": "North Carolina",
"Zipcode": 28117,
"Phone": "(800) 445-6937",
"Fax": "(800) 445-6938",
"Website": "http://www.nowebsitescreenshop.com"
}, {
"ID": 5,
"CompanyName": "Braeburn",
"Address": "1 Infinite Loop",
"City": "Cupertino",
"State": "California",
"Zipcode": 95014,
"Phone": "(408) 996-1010",
"Fax": "(408) 996-1012",
"Website": "http://www.nowebsitebraeburn.com"
}, {
"ID": 6,
"CompanyName": "PriceCo",
"Address": "30 Hunter Lane",
"City": "Camp Hill",
"State": "Pennsylvania",
"Zipcode": 17011,
"Phone": "(717) 761-2633",
"Fax": "(717) 761-2334",
"Website": "http://www.nowebsitepriceco.com"
}, {
"ID": 7,
"CompanyName": "Ultimate Gadget",
"Address": "1557 Watson Blvd",
"City": "Warner Robbins",
"State": "Georgia",
"Zipcode": 31093,
"Phone": "(995) 623-6785",
"Fax": "(995) 623-6786",
"Website": "http://www.nowebsiteultimategadget.com"
}, {
"ID": 8,
"CompanyName": "EZ Stop",
"Address": "618 Michillinda Ave.",
"City": "Arcadia",
"State": "California",
"Zipcode": 91007,
"Phone": "(626) 265-8632",
"Fax": "(626) 265-8633",
"Website": "http://www.nowebsiteezstop.com"
}, {
"ID": 9,
"CompanyName": "Clicker",
"Address": "1100 W. Artesia Blvd.",
"City": "Compton",
"State": "California",
"Zipcode": 90220,
"Phone": "(310) 884-9000",
"Fax": "(310) 884-9001",
"Website": "http://www.nowebsiteclicker.com"
}, {
"ID": 10,
"CompanyName": "Store of America",
"Address": "2401 Utah Ave. South",
"City": "Seattle",
"State": "Washington",
"Zipcode": 98134,
"Phone": "(206) 447-1575",
"Fax": "(206) 447-1576",
"Website": "http://www.nowebsiteamerica.com"
}, {
"ID": 11,
"CompanyName": "Zone Toys",
"Address": "1945 S Cienega Boulevard",
"City": "Los Angeles",
"State": "California",
"Zipcode": 90034,
"Phone": "(310) 237-5642",
"Fax": "(310) 237-5643",
"Website": "http://www.nowebsitezonetoys.com"
}, {
"ID": 12,
"CompanyName": "ACME",
"Address": "2525 E El Segundo Blvd",
"City": "El Segundo",
"State": "California",
"Zipcode": 90245,
"Phone": "(310) 536-0611",
"Fax": "(310) 536-0612",
"Website": "http://www.nowebsiteacme.com"
}]
[
{
"ID": 1,
"name": "Stores",
"expanded": true
},
{
"ID": "1_1",
"categoryId": 1,
"name": "Super Mart of the West",
"expanded": true
},
{
"ID": "1_1_1",
"categoryId": "1_1",
"name": "Video Players"
},
{
"ID": "1_1_1_1",
"categoryId": "1_1_1",
"name": "HD Video Player",
"price": 220
},
{
"ID": "1_1_1_2",
"categoryId": "1_1_1",
"name": "SuperHD Video Player",
"price": 270
},
{
"ID": "1_1_2",
"categoryId": "1_1",
"name": "Televisions",
"expanded": true
},
{
"ID": "1_1_2_1",
"categoryId": "1_1_2",
"name": "SuperLCD 42",
"price": 1200
},
{
"ID": "1_1_2_2",
"categoryId": "1_1_2",
"name": "SuperLED 42",
"price": 1450
},
{
"ID": "1_1_2_3",
"categoryId": "1_1_2",
"name": "SuperLED 50",
"price": 1600
},
{
"ID": "1_1_2_4",
"categoryId": "1_1_2",
"name": "SuperLCD 55",
"price": 1750
},
{
"ID": "1_1_2_5",
"categoryId": "1_1_2",
"name": "SuperLCD 70",
"price": 4000
},
{
"ID": "1_1_3",
"categoryId": "1_1",
"name": "Monitors"
},
{
"ID": "1_1_3_1",
"categoryId": "1_1_3",
"name": "19\""
},
{
"ID": "1_1_3_1_1",
"categoryId": "1_1_3_1",
"name": "DesktopLCD 19",
"price": 160
},
{
"ID": "1_1_4",
"categoryId": "1_1",
"name": "Projectors"
},
{
"ID": "1_1_4_1",
"categoryId": "1_1_4",
"name": "Projector Plus",
"price": 550
},
{
"ID": "1_1_4_2",
"categoryId": "1_1_4",
"name": "Projector PlusHD",
"price": 750
}
]

DevExtreme v23.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.
Drop Down Box

Single Selection

The DropDownBox component is an editor that consists of a text field and drop-down content. In this demo, the content is the TreeView and the DataGrid in the single selection mode.

The following instructions show how to synchronize the DropDownBox with any other embedded DevExtreme component:

  1. Specify data sources
    The DropDownBox's and embedded component's data sources can be the same or different. If they are different, the embedded component's key field should be present in the DropDownBox's data source.

  2. Specify which data field provides the DropDownBox's values and the embedded component's keys
    Assign the field's name to the DropDownBox's valueExpr property and to the key property of the embedded component's store.

  3. Synchronize the DropDownBox's value and the embedded component's selection
    Bind the DropDownBox's value and the embedded component's selectedRowKeys/selectedItemKeys property to the same variable.

Backend API
Copy to CodeSandBox
Apply
Reset
import React from 'react'; import DropDownBox from 'devextreme-react/drop-down-box'; import TreeView from 'devextreme-react/tree-view'; import DataGrid, { Selection, Paging, FilterRow, Scrolling, } from 'devextreme-react/data-grid'; import CustomStore from 'devextreme/data/custom_store'; import 'whatwg-fetch'; const gridColumns = ['CompanyName', 'City', 'Phone']; const ownerLabel = { 'aria-label': 'Owner' }; class App extends React.Component { constructor(props) { super(props); this.treeView = null; this.treeDataSource = this.makeAsyncDataSource('treeProducts.json'); this.gridDataSource = this.makeAsyncDataSource('customers.json'); this.state = { treeBoxValue: '1_1', gridBoxValue: [3], isGridBoxOpened: false, isTreeBoxOpened: false, }; this.treeViewItemSelectionChanged = this.treeViewItemSelectionChanged.bind(this); this.syncTreeViewSelection = this.syncTreeViewSelection.bind(this); this.syncDataGridSelection = this.syncDataGridSelection.bind(this); this.dataGridOnSelectionChanged = this.dataGridOnSelectionChanged.bind(this); this.treeViewRender = this.treeViewRender.bind(this); this.treeViewOnContentReady = this.treeViewOnContentReady.bind(this); this.dataGridRender = this.dataGridRender.bind(this); this.onGridBoxOpened = this.onGridBoxOpened.bind(this); this.onTreeBoxOpened = this.onTreeBoxOpened.bind(this); this.onTreeItemClick = this.onTreeItemClick.bind(this); } makeAsyncDataSource(jsonFile) { return new CustomStore({ loadMode: 'raw', key: 'ID', load() { return fetch(`../../../../data/${jsonFile}`) .then((response) => response.json()); }, }); } render() { return ( <div className="dx-fieldset"> <div className="dx-field"> <div className="dx-field-label">DropDownBox with embedded TreeView</div> <div className="dx-field-value"> <DropDownBox value={this.state.treeBoxValue} opened={this.state.isTreeBoxOpened} valueExpr="ID" inputAttr={ownerLabel} displayExpr="name" placeholder="Select a value..." showClearButton={true} dataSource={this.treeDataSource} onValueChanged={this.syncTreeViewSelection} onOptionChanged={this.onTreeBoxOpened} contentRender={this.treeViewRender} /> </div> </div> <div className="dx-field"> <div className="dx-field-label">DropDownBox with embedded DataGrid</div> <div className="dx-field-value"> <DropDownBox value={this.state.gridBoxValue} opened={this.state.isGridBoxOpened} valueExpr="ID" deferRendering={false} inputAttr={ownerLabel} displayExpr={this.gridBoxDisplayExpr} placeholder="Select a value..." showClearButton={true} dataSource={this.gridDataSource} onValueChanged={this.syncDataGridSelection} onOptionChanged={this.onGridBoxOpened} contentRender={this.dataGridRender} /> </div> </div> </div> ); } treeViewRender() { return ( <TreeView dataSource={this.treeDataSource} ref={(ref) => { this.treeView = ref; }} dataStructure="plain" keyExpr="ID" parentIdExpr="categoryId" selectionMode="single" displayExpr="name" selectByClick={true} onContentReady={this.treeViewOnContentReady} onItemClick={this.onTreeItemClick} onItemSelectionChanged={this.treeViewItemSelectionChanged} /> ); } dataGridRender() { return ( <DataGrid dataSource={this.gridDataSource} columns={gridColumns} hoverStateEnabled={true} selectedRowKeys={this.state.gridBoxValue} onSelectionChanged={this.dataGridOnSelectionChanged} height="100%"> <Selection mode="single" /> <Scrolling mode="virtual" /> <Paging enabled={true} pageSize={10} /> <FilterRow visible={true} /> </DataGrid> ); } syncTreeViewSelection(e) { this.setState({ treeBoxValue: e.value, }); if (!this.treeView) return; if (!e.value) { this.treeView.instance.unselectAll(); } else { this.treeView.instance.selectItem(e.value); } } syncDataGridSelection(e) { this.setState({ gridBoxValue: e.value, }); } treeViewItemSelectionChanged(e) { this.setState({ treeBoxValue: e.component.getSelectedNodeKeys(), }); } dataGridOnSelectionChanged(e) { this.setState({ gridBoxValue: e.selectedRowKeys, isGridBoxOpened: false, }); } gridBoxDisplayExpr(item) { return item && `${item.CompanyName} <${item.Phone}>`; } treeViewOnContentReady(e) { e.component.selectItem(this.state.treeBoxValue); } onTreeItemClick() { this.setState({ isTreeBoxOpened: false, }); } onGridBoxOpened(e) { if (e.name === 'opened') { this.setState({ isGridBoxOpened: e.value, }); } } onTreeBoxOpened(e) { if (e.name === 'opened') { this.setState({ isTreeBoxOpened: e.value, }); } } } export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render( <App />, document.getElementById('app'), );
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
.dx-fieldset { height: 500px; }
window.config = { transpiler: 'plugin-babel', meta: { 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'whatwg-fetch': 'npm:whatwg-fetch@2.0.4/fetch.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.1.5/cjs', 'devextreme-react': 'npm:devextreme-react@23.1.5', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);
[{ "ID": 1, "CompanyName": "Premier Buy", "Address": "7601 Penn Avenue South", "City": "Richfield", "State": "Minnesota", "Zipcode": 55423, "Phone": "(612) 291-1000", "Fax": "(612) 291-2001", "Website": "http://www.nowebsitepremierbuy.com" }, { "ID": 2, "CompanyName": "ElectrixMax", "Address": "263 Shuman Blvd", "City": "Naperville", "State": "Illinois", "Zipcode": 60563, "Phone": "(630) 438-7800", "Fax": "(630) 438-7801", "Website": "http://www.nowebsiteelectrixmax.com" }, { "ID": 3, "CompanyName": "Video Emporium", "Address": "1201 Elm Street", "City": "Dallas", "State": "Texas", "Zipcode": 75270, "Phone": "(214) 854-3000", "Fax": "(214) 854-3001", "Website": "http://www.nowebsitevideoemporium.com" }, { "ID": 4, "CompanyName": "Screen Shop", "Address": "1000 Lowes Blvd", "City": "Mooresville", "State": "North Carolina", "Zipcode": 28117, "Phone": "(800) 445-6937", "Fax": "(800) 445-6938", "Website": "http://www.nowebsitescreenshop.com" }, { "ID": 5, "CompanyName": "Braeburn", "Address": "1 Infinite Loop", "City": "Cupertino", "State": "California", "Zipcode": 95014, "Phone": "(408) 996-1010", "Fax": "(408) 996-1012", "Website": "http://www.nowebsitebraeburn.com" }, { "ID": 6, "CompanyName": "PriceCo", "Address": "30 Hunter Lane", "City": "Camp Hill", "State": "Pennsylvania", "Zipcode": 17011, "Phone": "(717) 761-2633", "Fax": "(717) 761-2334", "Website": "http://www.nowebsitepriceco.com" }, { "ID": 7, "CompanyName": "Ultimate Gadget", "Address": "1557 Watson Blvd", "City": "Warner Robbins", "State": "Georgia", "Zipcode": 31093, "Phone": "(995) 623-6785", "Fax": "(995) 623-6786", "Website": "http://www.nowebsiteultimategadget.com" }, { "ID": 8, "CompanyName": "EZ Stop", "Address": "618 Michillinda Ave.", "City": "Arcadia", "State": "California", "Zipcode": 91007, "Phone": "(626) 265-8632", "Fax": "(626) 265-8633", "Website": "http://www.nowebsiteezstop.com" }, { "ID": 9, "CompanyName": "Clicker", "Address": "1100 W. Artesia Blvd.", "City": "Compton", "State": "California", "Zipcode": 90220, "Phone": "(310) 884-9000", "Fax": "(310) 884-9001", "Website": "http://www.nowebsiteclicker.com" }, { "ID": 10, "CompanyName": "Store of America", "Address": "2401 Utah Ave. South", "City": "Seattle", "State": "Washington", "Zipcode": 98134, "Phone": "(206) 447-1575", "Fax": "(206) 447-1576", "Website": "http://www.nowebsiteamerica.com" }, { "ID": 11, "CompanyName": "Zone Toys", "Address": "1945 S Cienega Boulevard", "City": "Los Angeles", "State": "California", "Zipcode": 90034, "Phone": "(310) 237-5642", "Fax": "(310) 237-5643", "Website": "http://www.nowebsitezonetoys.com" }, { "ID": 12, "CompanyName": "ACME", "Address": "2525 E El Segundo Blvd", "City": "El Segundo", "State": "California", "Zipcode": 90245, "Phone": "(310) 536-0611", "Fax": "(310) 536-0612", "Website": "http://www.nowebsiteacme.com" }]
[ { "ID": 1, "name": "Stores", "expanded": true }, { "ID": "1_1", "categoryId": 1, "name": "Super Mart of the West", "expanded": true }, { "ID": "1_1_1", "categoryId": "1_1", "name": "Video Players" }, { "ID": "1_1_1_1", "categoryId": "1_1_1", "name": "HD Video Player", "price": 220 }, { "ID": "1_1_1_2", "categoryId": "1_1_1", "name": "SuperHD Video Player", "price": 270 }, { "ID": "1_1_2", "categoryId": "1_1", "name": "Televisions", "expanded": true }, { "ID": "1_1_2_1", "categoryId": "1_1_2", "name": "SuperLCD 42", "price": 1200 }, { "ID": "1_1_2_2", "categoryId": "1_1_2", "name": "SuperLED 42", "price": 1450 }, { "ID": "1_1_2_3", "categoryId": "1_1_2", "name": "SuperLED 50", "price": 1600 }, { "ID": "1_1_2_4", "categoryId": "1_1_2", "name": "SuperLCD 55", "price": 1750 }, { "ID": "1_1_2_5", "categoryId": "1_1_2", "name": "SuperLCD 70", "price": 4000 }, { "ID": "1_1_3", "categoryId": "1_1", "name": "Monitors" }, { "ID": "1_1_3_1", "categoryId": "1_1_3", "name": "19\"" }, { "ID": "1_1_3_1_1", "categoryId": "1_1_3_1", "name": "DesktopLCD 19", "price": 160 }, { "ID": "1_1_4", "categoryId": "1_1", "name": "Projectors" }, { "ID": "1_1_4_1", "categoryId": "1_1_4", "name": "Projector Plus", "price": 550 }, { "ID": "1_1_4_2", "categoryId": "1_1_4", "name": "Projector PlusHD", "price": 750 } ]

<template>
<div class="dx-fieldset">
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded TreeView</div>
<div class="dx-field-value">
<DxDropDownBox
v-model:value="treeBoxValue"
v-model:opened="isTreeBoxOpened"
:show-clear-button="true"
:data-source="treeDataSource"
value-expr="ID"
display-expr="name"
placeholder="Select a value..."
@value-changed="syncTreeViewSelection($event)"
>
<template #content="{ data }">
<DxTreeView
:ref="treeViewRefName"
:data-source="treeDataSource"
:select-by-click="true"
data-structure="plain"
key-expr="ID"
parent-id-expr="categoryId"
selection-mode="single"
display-expr="name"
@content-ready="$event.component.selectItem(treeBoxValue)"
@item-selection-changed="treeView_itemSelectionChanged($event)"
@item-click="onTreeItemClick($event)"
/>
</template>
</DxDropDownBox>
</div>
</div>
<div class="dx-field">
<div class="dx-field-label">DropDownBox with embedded DataGrid</div>
<div class="dx-field-value">
<DxDropDownBox
v-model:value="gridBoxValue"
v-model:opened="isGridBoxOpened"
:defer-rendering="false"
:display-expr="gridBoxDisplayExpr"
:show-clear-button="true"
:data-source="gridDataSource"
value-expr="ID"
placeholder="Select a value..."
>
<template #content="{ data }">
<DxDataGrid
:data-source="gridDataSource"
:columns="gridColumns"
:hover-state-enabled="true"
v-model:selected-row-keys="gridBoxValue"
@selection-changed="onGridSelectionChanged($event)"
height="100%"
>
<DxSelection mode="single"/>
<DxPaging
:enabled="true"
:page-size="10"
/>
<DxFilterRow :visible="true"/>
<DxScrolling mode="virtual"/>
</DxDataGrid>
</template>
</DxDropDownBox>
</div>
</div>
</div>
</template>
<script>
import DxDropDownBox from 'devextreme-vue/drop-down-box';
import DxTreeView from 'devextreme-vue/tree-view';
import {
DxDataGrid, DxSelection, DxPaging, DxFilterRow, DxScrolling,
} from 'devextreme-vue/data-grid';
import CustomStore from 'devextreme/data/custom_store';
import 'whatwg-fetch';
export default {
components: {
DxDropDownBox,
DxTreeView,
DxDataGrid,
DxSelection,
DxPaging,
DxFilterRow,
DxScrolling,
},
data() {
return {
treeDataSource: null,
treeBoxValue: null,
gridDataSource: null,
isGridBoxOpened: false,
isTreeBoxOpened: false,
gridBoxValue: [3],
treeViewRefName: 'tree-view',
gridColumns: ['CompanyName', 'City', 'Phone'],
};
},
created() {
this.treeDataSource = this.makeAsyncDataSource('treeProducts.json');
this.gridDataSource = this.makeAsyncDataSource('customers.json');
this.treeBoxValue = '1_1';
},
methods: {
makeAsyncDataSource(jsonFile) {
return new CustomStore({
loadMode: 'raw',
key: 'ID',
load() {
return fetch(`../../../../data/${jsonFile}`)
.then((response) => response.json());
},
});
},
syncTreeViewSelection() {
if (!this.$refs[this.textBoxRefName]) return;
if (!this.treeBoxValue) {
this.$refs[this.textBoxRefName].instance.unselectAll();
} else {
this.$refs[this.textBoxRefName].instance.selectItem(this.treeBoxValue);
}
},
treeView_itemSelectionChanged(e) {
this.treeBoxValue = e.component.getSelectedNodeKeys();
},
gridBoxDisplayExpr(item) {
return item && `${item.CompanyName} <${item.Phone}>`;
},
onTreeItemClick() {
this.isTreeBoxOpened = false;
},
onGridSelectionChanged() {
this.isGridBoxOpened = false;
},
},
};
</script>
<style scoped>
.dx-fieldset {
height: 500px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
const products = [{
id: '1',
text: 'Stores',
expanded: true,
items: [{
id: '1_1',
text: 'Super Mart of the West',
expanded: true,
items: [{
id: '1_1_1',
text: 'Video Players',
items: [{
id: '1_1_1_1',
text: 'HD Video Player',
price: 220,
image: '../../../../images/products/1.png',
}, {
id: '1_1_1_2',
text: 'SuperHD Video Player',
image: '../../../../images/products/2.png',
price: 270,
}],
}, {
id: '1_1_2',
text: 'Televisions',
expanded: true,
items: [{
id: '1_1_2_1',
text: 'SuperLCD 42',
image: '../../../../images/products/7.png',
price: 1200,
}, {
id: '1_1_2_2',
text: 'SuperLED 42',
image: '../../../../images/products/5.png',
price: 1450,
}, {
id: '1_1_2_3',
text: 'SuperLED 50',
image: '../../../../images/products/4.png',
price: 1600,
}, {
id: '1_1_2_4',
text: 'SuperLCD 55',
image: '../../../../images/products/6.png',
price: 1350,
}, {
id: '1_1_2_5',
text: 'SuperLCD 70',
image: '../../../../images/products/9.png',
price: 4000,
}],
}, {
id: '1_1_3',
text: 'Monitors',
expanded: true,
items: [{
id: '1_1_3_1',
text: '19"',
expanded: true,
items: [{
id: '1_1_3_1_1',
text: 'DesktopLCD 19',
image: '../../../../images/products/10.png',
price: 160,
}],
}, {
id: '1_1_3_2',
text: '21"',
items: [{
id: '1_1_3_2_1',
text: 'DesktopLCD 21',
image: '../../../../images/products/12.png',
price: 170,
}, {
id: '1_1_3_2_2',
text: 'DesktopLED 21',
image: '../../../../images/products/13.png',
price: 175,
}],
}],
}, {
id: '1_1_4',
text: 'Projectors',
items: [{
id: '1_1_4_1',
text: 'Projector Plus',
image: '../../../../images/products/14.png',
price: 550,
}, {
id: '1_1_4_2',
text: 'Projector PlusHD',
image: '../../../../images/products/15.png',
price: 750,
}],
}],
}, {
id: '1_2',
text: 'Braeburn',
items: [{
id: '1_2_1',
text: 'Video Players',
items: [{
id: '1_2_1_1',
text: 'HD Video Player',
image: '../../../../images/products/1.png',
price: 240,
}, {
id: '1_2_1_2',
text: 'SuperHD Video Player',
image: '../../../../images/products/2.png',
price: 300,
}],
}, {
id: '1_2_2',
text: 'Televisions',
items: [{
id: '1_2_2_1',
text: 'SuperPlasma 50',
image: '../../../../images/products/3.png',
price: 1800,
}, {
id: '1_2_2_2',
text: 'SuperPlasma 65',
image: '../../../../images/products/8.png',
price: 3500,
}],
}, {
id: '1_2_3',
text: 'Monitors',
items: [{
id: '1_2_3_1',
text: '19"',
items: [{
id: '1_2_3_1_1',
text: 'DesktopLCD 19',
image: '../../../../images/products/10.png',
price: 170,
}],
}, {
id: '1_2_3_2',
text: '21"',
items: [{
id: '1_2_3_2_1',
text: 'DesktopLCD 21',
image: '../../../../images/products/12.png',
price: 180,
}, {
id: '1_2_3_2_2',
text: 'DesktopLED 21',
image: '../../../../images/products/13.png',
price: 190,
}],
}],
}],
}, {
id: '1_3',
text: 'E-Mart',
items: [{
id: '1_3_1',
text: 'Video Players',
items: [{
id: '1_3_1_1',
text: 'HD Video Player',
image: '../../../../images/products/1.png',
price: 220,
}, {
id: '1_3_1_2',
text: 'SuperHD Video Player',
image: '../../../../images/products/2.png',
price: 275,
}],
}, {
id: '1_3_3',
text: 'Monitors',
items: [{
id: '1_3_3_1',
text: '19"',
items: [{
id: '1_3_3_1_1',
text: 'DesktopLCD 19',
image: '../../../../images/products/10.png',
price: 165,
}],
}, {
id: '1_3_3_2',
text: '21"',
items: [{
id: '1_3_3_2_1',
text: 'DesktopLCD 21',
image: '../../../../images/products/12.png',
price: 175,
}],
}],
}],
}, {
id: '1_4',
text: 'Walters',
items: [{
id: '1_4_1',
text: 'Video Players',
items: [{
id: '1_4_1_1',
text: 'HD Video Player',
image: '../../../../images/products/1.png',
price: 210,
}, {
id: '1_4_1_2',
text: 'SuperHD Video Player',
image: '../../../../images/products/2.png',
price: 250,
}],
}, {
id: '1_4_2',
text: 'Televisions',
items: [{
id: '1_4_2_1',
text: 'SuperLCD 42',
image: '../../../../images/products/7.png',
price: 1100,
}, {
id: '1_4_2_2',
text: 'SuperLED 42',
image: '../../../../images/products/5.png',
price: 1400,
}, {
id: '1_4_2_3',
text: 'SuperLED 50',
image: '../../../../images/products/4.png',
price: 1500,
}, {
id: '1_4_2_4',
text: 'SuperLCD 55',
image: '../../../../images/products/6.png',
price: 1300,
}, {
id: '1_4_2_5',
text: 'SuperLCD 70',
image: '../../../../images/products/9.png',
price: 4000,
}, {
id: '1_4_2_6',
text: 'SuperPlasma 50',
image: '../../../../images/products/3.png',
price: 1700,
}],
}, {
id: '1_4_3',
text: 'Monitors',
items: [{
id: '1_4_3_1',
text: '19"',
items: [{
id: '1_4_3_1_1',
text: 'DesktopLCD 19',
image: '../../../../images/products/10.png',
price: 160,
}],
}, {
id: '1_4_3_2',
text: '21"',
items: [{
id: '1_4_3_2_1',
text: 'DesktopLCD 21',
image: '../../../../images/products/12.png',
price: 170,
}, {
id: '1_4_3_2_2',
text: 'DesktopLED 21',
image: '../../../../images/products/13.png',
price: 180,
}],
}],
}, {
id: '1_4_4',
text: 'Projectors',
items: [{
id: '1_4_4_1',
text: 'Projector Plus',
image: '../../../../images/products/14.png',
price: 550,
}, {
id: '1_4_4_2',
text: 'Projector PlusHD',
image: '../../../../images/products/15.png',
price: 750,
}],
}],
}],
}];
export default {
getProducts() {
return products;
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.41/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'whatwg-fetch': 'npm:whatwg-fetch@2.0.4/fetch.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
[{
"ID": 1,
"CompanyName": "Premier Buy",
"Address": "7601 Penn Avenue South",
"City": "Richfield",
"State": "Minnesota",
"Zipcode": 55423,
"Phone": "(612) 291-1000",
"Fax": "(612) 291-2001",
"Website": "http://www.nowebsitepremierbuy.com"
}, {
"ID": 2,
"CompanyName": "ElectrixMax",
"Address": "263 Shuman Blvd",
"City": "Naperville",
"State": "Illinois",
"Zipcode": 60563,
"Phone": "(630) 438-7800",
"Fax": "(630) 438-7801",
"Website": "http://www.nowebsiteelectrixmax.com"
}, {
"ID": 3,
"CompanyName": "Video Emporium",
"Address": "1201 Elm Street",
"City": "Dallas",
"State": "Texas",
"Zipcode": 75270,
"Phone": "(214) 854-3000",
"Fax": "(214) 854-3001",
"Website": "http://www.nowebsitevideoemporium.com"
}, {
"ID": 4,
"CompanyName": "Screen Shop",
"Address": "1000 Lowes Blvd",
"City": "Mooresville",
"State": "North Carolina",
"Zipcode": 28117,
"Phone": "(800) 445-6937",
"Fax": "(800) 445-6938",
"Website": "http://www.nowebsitescreenshop.com"
}, {
"ID": 5,
"CompanyName": "Braeburn",
"Address": "1 Infinite Loop",
"City": "Cupertino",
"State": "California",
"Zipcode": 95014,
"Phone": "(408) 996-1010",
"Fax": "(408) 996-1012",
"Website": "http://www.nowebsitebraeburn.com"
}, {
"ID": 6,
"CompanyName": "PriceCo",
"Address": "30 Hunter Lane",
"City": "Camp Hill",
"State": "Pennsylvania",
"Zipcode": 17011,
"Phone": "(717) 761-2633",
"Fax": "(717) 761-2334",
"Website": "http://www.nowebsitepriceco.com"
}, {
"ID": 7,
"CompanyName": "Ultimate Gadget",
"Address": "1557 Watson Blvd",
"City": "Warner Robbins",
"State": "Georgia",
"Zipcode": 31093,
"Phone": "(995) 623-6785",
"Fax": "(995) 623-6786",
"Website": "http://www.nowebsiteultimategadget.com"
}, {
"ID": 8,
"CompanyName": "EZ Stop",
"Address": "618 Michillinda Ave.",
"City": "Arcadia",
"State": "California",
"Zipcode": 91007,
"Phone": "(626) 265-8632",
"Fax": "(626) 265-8633",
"Website": "http://www.nowebsiteezstop.com"
}, {
"ID": 9,
"CompanyName": "Clicker",
"Address": "1100 W. Artesia Blvd.",
"City": "Compton",
"State": "California",
"Zipcode": 90220,
"Phone": "(310) 884-9000",
"Fax": "(310) 884-9001",
"Website": "http://www.nowebsiteclicker.com"
}, {
"ID": 10,
"CompanyName": "Store of America",
"Address": "2401 Utah Ave. South",
"City": "Seattle",
"State": "Washington",
"Zipcode": 98134,
"Phone": "(206) 447-1575",
"Fax": "(206) 447-1576",
"Website": "http://www.nowebsiteamerica.com"
}, {
"ID": 11,
"CompanyName": "Zone Toys",
"Address": "1945 S Cienega Boulevard",
"City": "Los Angeles",
"State": "California",
"Zipcode": 90034,
"Phone": "(310) 237-5642",
"Fax": "(310) 237-5643",
"Website": "http://www.nowebsitezonetoys.com"
}, {
"ID": 12,
"CompanyName": "ACME",
"Address": "2525 E El Segundo Blvd",
"City": "El Segundo",
"State": "California",
"Zipcode": 90245,
"Phone": "(310) 536-0611",
"Fax": "(310) 536-0612",
"Website": "http://www.nowebsiteacme.com"
}]
[
{
"ID": 1,
"name": "Stores",
"expanded": true
},
{
"ID": "1_1",
"categoryId": 1,
"name": "Super Mart of the West",
"expanded": true
},
{
"ID": "1_1_1",
"categoryId": "1_1",
"name": "Video Players"
},
{
"ID": "1_1_1_1",
"categoryId": "1_1_1",
"name": "HD Video Player",
"price": 220
},
{
"ID": "1_1_1_2",
"categoryId": "1_1_1",
"name": "SuperHD Video Player",
"price": 270
},
{
"ID": "1_1_2",
"categoryId": "1_1",
"name": "Televisions",
"expanded": true
},
{
"ID": "1_1_2_1",
"categoryId": "1_1_2",
"name": "SuperLCD 42",
"price": 1200
},
{
"ID": "1_1_2_2",
"categoryId": "1_1_2",
"name": "SuperLED 42",
"price": 1450
},
{
"ID": "1_1_2_3",
"categoryId": "1_1_2",
"name": "SuperLED 50",
"price": 1600
},
{
"ID": "1_1_2_4",
"categoryId": "1_1_2",
"name": "SuperLCD 55",
"price": 1750
},
{
"ID": "1_1_2_5",
"categoryId": "1_1_2",
"name": "SuperLCD 70",
"price": 4000
},
{
"ID": "1_1_3",
"categoryId": "1_1",
"name": "Monitors"
},
{
"ID": "1_1_3_1",
"categoryId": "1_1_3",
"name": "19\""
},
{
"ID": "1_1_3_1_1",
"categoryId": "1_1_3_1",
"name": "DesktopLCD 19",
"price": 160
},
{
"ID": "1_1_4",
"categoryId": "1_1",
"name": "Projectors"
},
{
"ID": "1_1_4_1",
"categoryId": "1_1_4",
"name": "Projector Plus",
"price": 550
},
{
"ID": "1_1_4_2",
"categoryId": "1_1_4",
"name": "Projector PlusHD",
"price": 750
}
]